Subject: [RFC] Removing support for legacy iSeries

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 02 Feb 2012 13:36:14 +1100

So I (and Stephen) believe the time has come that we get rid of the
legacy iSeries support in the kernel....

Is there any objection ? Do we have any user left ?

The hypervisor on these is really nasty, and removing support for it
would allow us to clean up quite a bit of code path including low level
& asm ones from iSeries special cases.

Also it's becoming increasingly hard for me to test that we are still
capable of booting these.

I will keep it if we have users but since distros don't support it
anymore (and haven't for a while now) I am pretty keen.

Any objection ?

Cheers,
Ben.